commit: 01c20e365470501db34314fa0e1ce32ee4bdd5c0
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Mon May 7 16:37:04 2018 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Mon May 7 16:38:07 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01c20e36
app-admin/calamares: Version bump 3.1.13
Package-Manager: Portage-2.3.36, Repoman-2.3.9
app-admin/calamares/Manifest | 1 +
app-admin/calamares/calamares-3.1.13.ebuild | 79 +++++++++++++++++++++++++++++
2 files changed, 80 insertions(+)
diff --git a/app-admin/calamares/Manifest b/app-admin/calamares/Manifest
index a60cebdc428..057005f5852 100644
--- a/app-admin/calamares/Manifest
+++ b/app-admin/calamares/Manifest
@@ -1 +1,2 @@
DIST calamares-3.1.12.tar.gz 2272996 BLAKE2B
f9fd2edd6922262b2a0e5a28818c79e477c9cc2105a4d4d3cb8367cb6a399af1011f6333f43790699aea04d31668e7fa2b9b79225098af6b1f31093de8988e87
SHA512
10ab898c06d4d936c5bf25e5d461e40d98914636b2fddca22b80b949b6a1225170887ffc6ceebb3848276b6d4812db863751b608b6671bb829a98a0dc6e7bf72
+DIST calamares-3.1.13.tar.gz 2279516 BLAKE2B
ff2c81e81086d53c205c25dbdb7e8b1b60f5f10c979e9afd85c02426cd38037c6fbbf76e21fa5fb152ea9bf1c47658563ba5b2fb7e84b4e2734d6269584315df
SHA512
451e04fe41448976e612b2a682cf38ed2683b490bb195ba82ad97d47dfd3eb808f8c25251be00104e3f3b4086ab37be462034bbd2866e64536e90f7ebcfb0d7a
diff --git a/app-admin/calamares/calamares-3.1.13.ebuild
b/app-admin/calamares/calamares-3.1.13.ebuild
new file mode 100644
index 00000000000..261aa9e0169
--- /dev/null
+++ b/app-admin/calamares/calamares-3.1.13.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+inherit kde5 python-r1
+
+DESCRIPTION="Distribution-independent installer framework"
+HOMEPAGE="https://calamares.io"
+if [[ ${KDE_BUILD_TYPE} == live ]] ; then
+ EGIT_REPO_URI="https://github.com/${PN}/${PN}"
+else
+
SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-3"
+IUSE="+networkmanager pythonqt +upower"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kparts)
+ $(add_frameworks_dep kservice)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtsvg)
+ $(add_qt_dep qtwebengine 'widgets')
+ $(add_qt_dep qtwidgets)
+ dev-cpp/yaml-cpp:=
+ >=dev-libs/boost-1.55:=[${PYTHON_USEDEP}]
+ sys-apps/dbus
+ sys-apps/dmidecode
+ sys-auth/polkit-qt[qt5(+)]
+ >=sys-libs/kpmcore-3.0.3:5=
+ pythonqt? ( >=dev-python/PythonQt-3.1:=[${PYTHON_USEDEP}] )
+"
+
+RDEPEND="${DEPEND}
+ app-admin/sudo
+ dev-libs/libatasmart
+ net-misc/rsync
+ >=sys-block/parted-3.0
+ || ( sys-boot/grub:2 sys-boot/systemd-boot )
+ sys-boot/os-prober
+ sys-fs/squashfs-tools
+ virtual/udev
+ networkmanager? ( net-misc/networkmanager )
+ upower? ( sys-power/upower )
+"
+
+src_prepare() {
+ cmake-utils_src_prepare
+ python_setup
+ export PYTHON_INCLUDE_DIRS="$(python_get_includedir)" \
+ PYTHON_INCLUDE_PATH="$(python_get_library_path)"\
+ PYTHON_CFLAGS="$(python_get_CFLAGS)"\
+ PYTHON_LIBS="$(python_get_LIBS)"
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DWEBVIEW_FORCE_WEBKIT=OFF
+ -DWITH_PYTHONQT=$(usex pythonqt)
+ )
+
+ kde5_src_configure
+ sed -i -e 's:pkexec /usr/bin/calamares:calamares-pkexec:'
"${S}"/calamares.desktop
+ sed -i -e 's:Icon=calamares:Icon=drive-harddisk:'
"${S}"/calamares.desktop
+}
+
+src_install() {
+ kde5_src_install
+ dobin "${FILESDIR}"/calamares-pkexec
+}